1. Docs
  2. API Reference
  3. Revoke an API key

Revoke an API key

DELETE/portal/v1/accounts/{accountSlug}/applications/{appSlug}/environments/{envSlug}/api-keys/{id}

Authentication

  • Bearer Token Authorization

    JWT access token

Path Parameters

Name Required Type Description
idRequiredstring

Code samples

cURLJavaScriptPythonGo
curl -X DELETE "https://api.canopy.dev/portal/v1/accounts/{accountSlug}/applications/{appSlug}/environments/{envSlug}/api-keys/value" \
  -H "Authorization: Bearer $CANOPY_TOKEN"

Responses

204 API key revoked
401 Invalid or expired token
403 This token is not authorized for this endpoint (wrong principal type — e.g., admin token on identity-only endpoint, or vice versa)
On this page

Related endpoints

GETList API keys for Application
POSTCreate a new API key